package org.dromara.zhishu.service.strategy;

import org.dromara.zhishu.domain.dto.response.LogisticsMethodResponse;
import org.dromara.zhishu.domain.dto.request.OrderDeliveryRequest;

import java.util.List;

public interface OrderStrategy {

    List<LogisticsMethodResponse> deliveryMethodList(Long shopId);

    Boolean orderDelivery(OrderDeliveryRequest request);

    Boolean syncKfzHistoryOrder(Long shopId, Integer days);

}
